class Admin::TagsController < Admin::BaseController
  respond_to :json

  def index
    term = params[:term]
    context = params[:context] || "tags"
    
    @tag_names = if(term && term.size >= 3)
      condition = ActsAsTaggableOn::Tag.arel_table[:name].matches("%#{term}%")
      tags = ActsAsTaggableOn::Tag.joins("JOIN taggings on taggings.tag_id = tags.id").where(condition)
      
      if context
        tags = tags.where("taggings.context" => context)
      end
      
      tags.pluck(:name)
    end || []

    render :json => @tag_names
  end
 
end