module CrumbsHelper

  # breadcrumb("Home" => "/", "Blog" => [:site, :blog], @post.title => request.path )
  
  def breadcrumb(crumbs = {})
    crumbs = crumbs.to_a
    buff = ""
    buff << '<ul class="breadcrumb">'
    active = crumbs.pop
    crumbs.each do |title, path|
      path = !path.is_a?(String) ? polymorphic_path(path) : h(path)
      
      buff << <<-eos
      <li itemscope itemtype="http://data-vocabulary.org/Breadcrumb">
        <a itemprop="url" href="#{path}">
          <span itemprop="title">#{h(title)}</span>
        </a> 
        <span class="divider">/</span>
      </li>
      eos
      
    end
    
    title, path = active
    path = !path.is_a?(String) ? polymorphic_path(path) : h(path)
    
    buff << <<-eos
      <li itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="active">
        <a itemprop="url" href="#{path}">
          <span itemprop="title">#{h(title)}</span>
        </a> 
      </li>
      eos
    
    
    buff << '</ul>'
    content_for( :breadcrumb,  buff.html_safe )
    nil
  end

end


