module Localized
  extend ActiveSupport::Concern

  included do
    field :locale
    index :locale
    
    scope :localized, lambda {| l = "#{ I18n.locale or Fullstack::Cms.config.default_locale }" |
      where(:locale => l)
    }
    
    before_save do |record|
      locale ||= Fullstack::Cms.config.default_locale
    end

  end
  
end