class Menu < ActiveRecord::Base
  include Uid
  include Localized if Fullstack::Cms.config.localize

  has_many :links, :as => :link_owner, :dependent => :delete_all, :order=>'position ASC'
  accepts_nested_attributes_for :links, :allow_destroy => true
  
  
  alias_attribute :name, :uid
  def name
    I18n.t("fullstack.cms.menus.#{uid}", :default => uid.to_s.humanize)
  end
  
  timestamps
end





