class Photo < ActiveRecord::Base
  include Positionable
  default_scope order(:position)

  validates :image, :attachment_presence => true,
    :attachment_size => { :in => 0..5.megabytes }

  has_attached :image
  
  acts_as_taggable

  # validates_presence_of :photographable
  belongs_to :photographable, :polymorphic => :true
  delegate :url, :file_name, :to => :image
  
  field :caption, :text
  
  def owner
    photographable.owner if photographable && photographable.respond_to?(:owner)
  end
    
  timestamps

  def to_label
    image_file_name
  end
  
end