module Uid
  extend ActiveSupport::Concern
  
  included do
      
    field :uid, :string
    validates_presence_of :uid
    
    unless Fullstack::Cms.config.localize
      
      index :uid, :unique => true    
      scope :uid, lambda {|uid| where(:uid => uid).first}
    
    else

      index [:uid, :locale], :unique => true
      scope :uid, lambda {|uid| where(:uid => uid, :locale => (I18n.locale || Fullstack::Cms::config.default_locale).to_s).first}      
    
    end
  end
  
end