class Enum

  class Term
    def initialize(scope, term)
      @term = term
      @scope = scope
    end
    
    def id
      @term
    end
    
    def to_label
      I18n.t(@term, :scope => @scope, :default => @term.to_s.humanize)
    end
  end

  attr_reader :terms
  
  def initialize(scope, *keys)
    @keys  = [keys].flatten
    @keys_to_terms = {}
    @terms = @keys.map do |key|
      t = Term.new(scope, key.to_s)
      @keys_to_terms[key.to_s] = t
      t
    end
  end
  
  def keys
    @keys
  end

  def to_a
    keys
  end
  
  
  def get_term(key)
    @keys_to_terms[key.to_s]
  end
  
  def to_options
    terms.map {|t| 
      [t.to_label,t.id]
    }
  end
  
end